Loading...
Searching...
No Matches
pcl::gpu::kinfuLS::ColorVolume Class Reference

ColorVolume class. More...

`#include </build/pcl-uIWyNl/pcl-1.15.1+dfsg/gpu/kinfu_large_scale/include/pcl/gpu/kinfu_large_scale/color_volume.h>`

## Public Types

using | PointType = PointXYZ
using | Ptr = shared_ptr<ColorVolume>
using | ConstPtr = shared_ptr<const ColorVolume>

## Public Member Functions

| ColorVolume (const TsdfVolume &tsdf, int max_weight=-1)
| Constructor.
void | reset ()
| Resets color volume to uninitialized state.
int | getMaxWeight () const
| Returns running average length.
DeviceArray2D< int > | data () const
| Returns container with color volume in GPU memory.
void | fetchColors (const DeviceArray< PointType > &cloud, DeviceArray< RGB > &colors) const
| Computes colors from color volume.

## Detailed Description

ColorVolume class.

Author
  Anatoly Baskeheev, Itseez Ltd, (mynam.nosp@m.e.my.nosp@m.surna.nosp@m.me@m.nosp@m.ycomp.nosp@m.any..nosp@m.com)

Definition at line 60 of file color_volume.h.

## Member Typedef Documentation

## ConstPtr

using pcl::gpu::kinfuLS::ColorVolume::ConstPtr = shared_ptr<const ColorVolume>

Definition at line 65 of file color_volume.h.

## PointType

using pcl::gpu::kinfuLS::ColorVolume::PointType = PointXYZ

Definition at line 63 of file color_volume.h.

## Ptr

using pcl::gpu::kinfuLS::ColorVolume::Ptr = shared_ptr<ColorVolume>

Definition at line 64 of file color_volume.h.

## Constructor & Destructor Documentation

## ColorVolume()

pcl::gpu::kinfuLS::ColorVolume::ColorVolume | ( | const TsdfVolume & | tsdf,
|  | int | max_weight = -1 )

Constructor.

Parameters

  [in] | tsdf | tsdf volume to get parameters from
  [in] | max_weight | max weight for running average. Can be less than 255. Negative means default.

## Member Function Documentation

## data()

DeviceArray2D< int > pcl::gpu::kinfuLS::ColorVolume::data | ( |  | ) | const

Returns container with color volume in GPU memory.

## fetchColors()

void pcl::gpu::kinfuLS::ColorVolume::fetchColors | ( | const DeviceArray< PointType > & | cloud,
|  | DeviceArray< RGB > & | colors ) const

Computes colors from color volume.

Parameters

  [in] | cloud | Points for which colors are to be computed.
  [out] | colors | output array for colors

References PCL_MAKE_ALIGNED_OPERATOR_NEW.

## getMaxWeight()

int pcl::gpu::kinfuLS::ColorVolume::getMaxWeight | ( |  | ) | const

Returns running average length.

## reset()

void pcl::gpu::kinfuLS::ColorVolume::reset | ( |  | ) |

Resets color volume to uninitialized state.

The documentation for this class was generated from the following file:

- /build/pcl-uIWyNl/pcl-1.15.1+dfsg/gpu/kinfu_large_scale/include/pcl/gpu/kinfu_large_scale/color_volume.h